//
//  CustomCell.h
//  ImageTextCellSample
//
//  Created by Christos Sotiriou on 2/25/10.
//  Copyright 2010 Tei of Pireus. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface CustomCell : NSTextFieldCell {
	NSObject *delegate;
	NSString *prop1KeyPath;
	NSString *prop2KeyPath;
}

- (void)setDataDelegate:(NSObject *)adelegate;
- (void)setProp1KeyPath:(NSString *)path;
- (void)setProp2KeyPath:(NSString *)path;

- (NSObject *)dataDelegate;

- (NSString *)prop1ForCell: (CustomCell *)cell data:(NSObject *)data;
- (NSString *)prop2ForCell: (CustomCell *)cell data:(NSObject *)data;
@end
