//
//  MainController.m
//  NSTatbleViewTests3
//
//  Created by Christos Sotiriou on 2/25/10.
//  Copyright 2010 Tei of Pireus. All rights reserved.
//

#import "MainController.h"

@implementation MainController
- (id) init
{
	self = [super init];
	if (self != nil) {
		items = [NSMutableArray new];
		TestClass1 *class1 = [TestClass1 new];
		class1.prop1 = @"asdasdA";
		class1.prop2 = @"hello";
		[class1 setEnabledNSNumber:YES];
		
		TestClass1 *class2 = [TestClass1 new];
		[class1 setEnabledNSNumber:NO];
		class1.prop1 = @"assdasd";
		class1.prop2 = @"yyyy";
		
		[items addObject:class1];
		[items addObject:class2];
	}
	return self;
}

- (void) awakeFromNib
{
	NSTableColumn* column = [[tableView tableColumns] objectAtIndex:0];

	CustomCell *cell = [[[CustomCell alloc]init]autorelease];
	[column setDataCell:cell];
	
	[cell setProp1KeyPath:@"prop1"];
	[cell setProp2KeyPath:@"prop2"];

}



- (NSArray *)items
{
	return items;
}
@end
