//
//  TestClass1.m
//  NSTatbleViewTests3
//
//  Created by Christos Sotiriou on 2/25/10.
//  Copyright 2010 Tei of Pireus. All rights reserved.
//

#import "TestClass1.h"


@implementation TestClass1
@synthesize prop1;
@synthesize prop2;
@synthesize isEnabled;

- (id)initWithprop1:(NSString *)aprop1 andProp2:(NSString *)aprop2
{
	if (self = [super init]) {
		self.prop1 = aprop1;
		self.prop2 = aprop2;
		self.isEnabled = [NSNumber numberWithBool:NO];
	}
	return self;
}

- (id)copyWithZone:(NSZone *)zone {
    TestClass1 *copy = [[[self class] allocWithZone: zone] initWithprop1:self.prop1 andProp2:self.prop2];
    return copy;
}

- (BOOL)enabledNSNumber
{
	return [self.isEnabled boolValue];
}

- (void)setEnabledNSNumber:(BOOL)value
{
	self.isEnabled = [NSNumber numberWithBool:value];
}

- (void) dealloc
{
	[prop1 release];
	[prop2 release];
	[isEnabled release];
	[super dealloc];
}


@end
